org.gradle.api

## Class UnknownDomainObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.UnknownDomainObjectException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnknownConfigurationException, UnknownProjectException, UnknownRepositoryException, UnknownTaskException

      public class UnknownDomainObjectException
      extends GradleException

  A `UnknownDomainObjectException` is the super class of all exceptions thrown when a given domain object cannot be located.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownDomainObjectException(String message)`
    `UnknownDomainObjectException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownDomainObjectException

          public UnknownDomainObjectException(String message)

    - #### UnknownDomainObjectException

          public UnknownDomainObjectException(String message,
                                      Throwable cause)